Loading...
Searching...
No Matches
event::AlarmManager::Alarm Struct Reference

Alarm structure. More...

`import <AlarmManager.idl;`

## Public Attributes

string | id
| Alarm id.
string | name
| Alarm name.
string | actionId
| Corresponding action id.
vector< Alert > | alerts
| List of alerts.

## Detailed Description

Alarm structure.

An alarm has a name, a reference to its action source and a list of all alerts which created the alarm.

Definition at line 43 of file AlarmManager.idl.

## Member Data Documentation

## actionId

string event::AlarmManager::Alarm::actionId

Corresponding action id.

Definition at line 46 of file AlarmManager.idl.

## alerts

vector<Alert> event::AlarmManager::Alarm::alerts

List of alerts.

Definition at line 47 of file AlarmManager.idl.

## id

string event::AlarmManager::Alarm::id

Alarm id.

Definition at line 44 of file AlarmManager.idl.

## name

string event::AlarmManager::Alarm::name

Alarm name.

Definition at line 45 of file AlarmManager.idl.

The documentation for this struct was generated from the following file:

- AlarmManager.idl